%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  equateIRT
%global packver   2.5.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.5.2
Release:          1%{?dist}%{?buildtag}
Summary:          IRT Equating Methods

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-statmod 
BuildRequires:    R-stats 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-mirt 
Requires:         R-CRAN-statmod 
Requires:         R-stats 
Requires:         R-utils 
Requires:         R-CRAN-mirt 

%description
Computation of direct, chain and average (bisector) equating coefficients
with standard errors using Item Response Theory (IRT) methods for
dichotomous items (Battauz (2013) <doi:10.1007/s11336-012-9316-y>, Battauz
(2015) <doi:10.18637/jss.v068.i07>). Test scoring can be performed by true
score equating and observed score equating methods. DIF detection can be
performed using a Wald-type test (Battauz (2019)
<doi:10.1007/s10260-018-00442-w>). The package includes tests to assess
the stability of the equating transformations (Battauz(2022)
<doi:10.1111/stan.12277>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
